Mailboxes
Forward a message
Forward a message. View request and response details for this Samva email API endpoint.
Forwards the message to new recipients as a new conversation, with the original quoted below the caller's text and its attachments attached ahead of any the caller adds. The combined attachments must fit the email attachment limits.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$messageId*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Header Parameters
idempotency-key?|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
to*array<string>
Items
1 <= itemscc?array<string>|null
bcc?array<string>|null
text?string|null
html?string|null
attachments?array<>|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/messages/string/forward" \ -H "Content-Type: application/json" \ -d '{ "to": [ "string" ] }'{ "actionId": "string", "messageId": "string", "threadId": "string", "status": "sent", "waitReason": "rate", "reviewExpectedAt": "string", "skippedRecipients": [ { "address": "string", "reason": "bounce", "unsubscribeGroupId": "string" } ], "createdAt": "string"}